com.pdfunit.validators

## Class AllBookmarksValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.AllBookmarksValidator

-     @DoNotObfuscate
      public final class AllBookmarksValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for bookmarks in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AllBookmarksValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.pdfunit.internal.spi.IBookmark` | `getBookmarkRoot()`
    `BookmarkDetailsValidator` | `hasBookmark()` This method does what the name suggests.
    `AllBookmarksValidator` | `hasBookmarks()` This method does what the name suggests.
    `AllBookmarksValidator` | `withDestinations()` This method verifies that no bookmark points to nothing (dead link).
    `AllBookmarksValidator` | `withoutDuplicateNames()`

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllBookmarksValidator

          protected AllBookmarksValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### hasBookmark

          public BookmarkDetailsValidator hasBookmark()

      This method does what the name suggests.

    - #### hasBookmarks

          public AllBookmarksValidator hasBookmarks()

      This method does what the name suggests.

    - #### getBookmarkRoot

          public com.pdfunit.internal.spi.IBookmark getBookmarkRoot()

    - #### withDestinations

          public AllBookmarksValidator withDestinations()

      This method verifies that no bookmark points to nothing (dead link).

    - #### withoutDuplicateNames

          public AllBookmarksValidator withoutDuplicateNames()

Copyright (C) PDFUnit.com. See here for license.